javax.servlet.annotation

## Annotation Type WebFilter

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      @Documented
      public @interface WebFilter

  Annotation used to declare a servlet filter.

  This annotation is processed by the container at deployment time, and the corresponding filter applied to the specified URL patterns, servlets, and dispatcher types.

  Since:
    Servlet 3.0
  See Also:
    `Filter`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `asyncSupported` Declares whether the filter supports asynchronous operation mode.
    `String` | `description` The description of the filter
    `DispatcherType[]` | `dispatcherTypes` The dispatcher types to which the filter applies
    `String` | `displayName` The display name of the filter
    `String` | `filterName` The name of the filter
    `WebInitParam[]` | `initParams` The init parameters of the filter
    `String` | `largeIcon` The large-icon of the filter
    `String[]` | `servletNames` The names of the servlets to which the filter applies.
    `String` | `smallIcon` The small-icon of the filter
    `String[]` | `urlPatterns` The URL patterns to which the filter applies
    `String[]` | `value` The URL patterns to which the filter applies

- - ### Element Detail

    - #### description

          public abstract String description

      The description of the filter
      Default:
        ""

    - #### displayName

          public abstract String displayName

      The display name of the filter
      Default:
        ""

    - #### initParams

          public abstract WebInitParam[] initParams

      The init parameters of the filter
      Default:
        {}

    - #### filterName

          public abstract String filterName

      The name of the filter
      Default:
        ""

    - #### smallIcon

          public abstract String smallIcon

      The small-icon of the filter
      Default:
        ""

    - #### largeIcon

          public abstract String largeIcon

      The large-icon of the filter
      Default:
        ""

    - #### servletNames

          public abstract String[] servletNames

      The names of the servlets to which the filter applies.
      Default:
        {}

    - #### value

          public abstract String[] value

      The URL patterns to which the filter applies
      Default:
        {}

    - #### urlPatterns

          public abstract String[] urlPatterns

      The URL patterns to which the filter applies
      Default:
        {}

    - #### dispatcherTypes

          public abstract DispatcherType[] dispatcherTypes

      The dispatcher types to which the filter applies
      Default:
        javax.servlet.DispatcherType.REQUEST

    - #### asyncSupported

          public abstract boolean asyncSupported

      Declares whether the filter supports asynchronous operation mode.
      See Also:
        `ServletRequest.startAsync()`, `ServletRequest.startAsync(ServletRequest, ServletResponse)`
      Default:
        false

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.